com.example.instilostandfound

## Class NewsfeedAdaptor.myViewHolder

- java.lang.Object
- - androidx.recyclerview.widget.RecyclerView.ViewHolder
  - - com.example.instilostandfound.NewsfeedAdaptor.myViewHolder

All Implemented Interfaces:
  android.view.View.OnClickListener

Enclosing class:
  NewsfeedAdaptor

    public class NewsfeedAdaptor.myViewHolder
    extends androidx.recyclerview.widget.RecyclerView.ViewHolder
    implements android.view.View.OnClickListener

Creates recycler view for viewing item image and the title

### Field Summary

Fields
`android.widget.ImageView` `imageView`
`android.widget.TextView` `textViewname`

### Fields inherited from class androidx.recyclerview.widget.RecyclerView.ViewHolder

`itemView`

### Constructor Summary

Constructors
Constructor and Description
`myViewHolder(android.view.View itemView)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `onClick(android.view.View v)`

### Methods inherited from class androidx.recyclerview.widget.RecyclerView.ViewHolder

`getAdapterPosition, getItemId, getItemViewType, getLayoutPosition, getOldPosition, getPosition, isRecyclable, setIsRecyclable, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### textViewname

    public android.widget.TextView textViewname

#### imageView

    public android.widget.ImageView imageView

### Constructor Detail

#### myViewHolder

    public myViewHolder(@NonNull
                        android.view.View itemView)

### Method Detail

#### onClick

    public void onClick(android.view.View v)

Specified by:
  `onClick` in interface `android.view.View.OnClickListener`